# Savan_subscribers

## Files
file | savan_sub_processor.h
## Typedefs
typedef struct savan_subscriber_t | savan_subscriber_t
## Functions
AXIS2_EXTERN axis2_status_t | savan_subscriber_set_filter_dialect (savan_subscriber_t *subscriber, const axutil_env_t *env, const axis2_char_t *filter_dialect)
AXIS2_EXTERN axis2_char_t * | savan_subscriber_get_filter_dialect (savan_subscriber_t *subscriber, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | savan_subscriber_get_delivery_mode (savan_subscriber_t *subscriber, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | savan_subscriber_get_id (savan_subscriber_t *subscriber, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | savan_subscriber_set_id (savan_subscriber_t *subscriber, const axutil_env_t *env, const axis2_char_t *id)
AXIS2_EXTERN axis2_status_t | savan_subscriber_set_end_to (savan_subscriber_t *subscriber, const axutil_env_t *env, axis2_endpoint_ref_t *end_to)
AXIS2_EXTERN axis2_endpoint_ref_t * | savan_subscriber_get_end_to (savan_subscriber_t *subscriber, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | savan_subscriber_set_notify_to (savan_subscriber_t *subscriber, const axutil_env_t *env, axis2_endpoint_ref_t *notify_to)
AXIS2_EXTERN axis2_endpoint_ref_t * | savan_subscriber_get_notify_to (savan_subscriber_t *subscriber, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | savan_subscriber_set_delivery_mode (savan_subscriber_t *subscriber, const axutil_env_t *env, const axis2_char_t *mode)
AXIS2_EXTERN axis2_status_t | savan_subscriber_set_expires (savan_subscriber_t *subscriber, const axutil_env_t *env, const axis2_char_t *expires)
AXIS2_EXTERN axis2_char_t * | savan_subscriber_get_expires (savan_subscriber_t *subscriber, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | savan_subscriber_set_filter (savan_subscriber_t *subscriber, const axutil_env_t *env, const axis2_char_t *filter)
AXIS2_EXTERN axis2_char_t * | savan_subscriber_get_filter (savan_subscriber_t *subscriber, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | savan_subscriber_set_renew_status (savan_subscriber_t *subscriber, const axutil_env_t *env, axis2_bool_t renewed)
AXIS2_EXTERN axis2_bool_t | savan_subscriber_get_renew_status (savan_subscriber_t *subscriber, const axutil_env_t *env)
AXIS2_EXTERN savan_subscriber_t * | savan_subscriber_create (const axutil_env_t *env)
AXIS2_EXTERN void | savan_subscriber_free (savan_subscriber_t *subscriber, const axutil_env_t *env)
AXIS2_EXTERN void | savan_subscriber_free_void_arg (void *subscriber, const axutil_env_t *env)

## Detailed Description

subscriber represents a client subscribing to an eventing service

## Function Documentation

AXIS2_EXTERN savan_subscriber_t* savan_subscriber_create | ( | const axutil_env_t * | env | ) |

Creates a subscriber instance.

Parameters:

  | env | pointer to environment struct

Returns:
  pointer to newly created subscriber struct

AXIS2_EXTERN axis2_endpoint_ref_t* savan_subscriber_get_end_to | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env |
| ) |  |  |

Get EndTo end point.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct

Returns:
  end_to

AXIS2_EXTERN axis2_char_t* savan_subscriber_get_expires | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env |
| ) |  |  |

Get expires.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct

Returns:
  expire date and time as string

AXIS2_EXTERN axis2_char_t* savan_subscriber_get_filter | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env |
| ) |  |  |

Get filter.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct

Returns:
  filter the filter string

AXIS2_EXTERN axis2_char_t* savan_subscriber_get_id | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrive subscriber id.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct

Returns:
  the unique id assigned to the subscriber

AXIS2_EXTERN axis2_endpoint_ref_t* savan_subscriber_get_notify_to | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env |
| ) |  |  |

Get NotifyTo end point.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct

Returns:
  notify_to

AXIS2_EXTERN axis2_bool_t savan_subscriber_get_renew_status | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env |
| ) |  |  |

Check whether the subscription is renewed or not.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct
  | msg_ctx | the msg to be published

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t savan_subscriber_set_delivery_mode | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | mode |
| ) |  |  |

Set delivery mode.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct
  | mode | the delivery mode

AXIS2_EXTERN axis2_status_t savan_subscriber_set_end_to | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | end_to |
| ) |  |  |

Set EndTo end point.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct
  | end_to | the EndTo reference

AXIS2_EXTERN axis2_status_t savan_subscriber_set_expires | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | expires |
| ) |  |  |

Set expires.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct
  | expires | the expires date and time

AXIS2_EXTERN axis2_status_t savan_subscriber_set_filter | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | filter |
| ) |  |  |

Set filter.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct
  | filter | the filter string

AXIS2_EXTERN axis2_status_t savan_subscriber_set_id | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | id |
| ) |  |  |

Set id.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct
  | id | the id

AXIS2_EXTERN axis2_status_t savan_subscriber_set_notify_to | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | notify_to |
| ) |  |  |

Set NotifyTo end point.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct
  | notify_to | the NotifyTo reference

AXIS2_EXTERN axis2_status_t savan_subscriber_set_renew_status | ( | savan_subscriber_t * | subscriber,
|  | const axutil_env_t * | env,
|  | axis2_bool_t | renewed |
| ) |  |  |

Set whether the subscription is renewed or not.

Parameters:

  | subscriber | pointer to subscriber
  | env | pointer to environment struct
  | msg_ctx | the msg to be published

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE